App Settings
Manage app settings via the VARIO Cloud REST API, including retrieving, creating, updating, and deleting settings by app identifier.
settings for apps
Path parameters
appIdentifierstring · uuidRequired
Responses
200
successful operation
*/*
versionstringOptional
Version Identifier for this Object (for PUT)
idstringOptional
Unique identifier of the Object
appIdentifierstring · uuidRequired
Identifier der App
404
Resource with given ID was not found
*/*
get/cmn/apps/{appIdentifier}/settings
GET /cmn/apps/{appIdentifier}/settings HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"appIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
}
}Path parameters
appIdentifierstring · uuidRequired
Body
versionstringOptional
Version Identifier for this Object (for PUT)
idstringOptional
Unique identifier of the Object
appIdentifierstring · uuidRequired
Identifier der App
Responses
200
successful operation
*/*
versionstringOptional
Version Identifier for this Object (for PUT)
idstringOptional
Unique identifier of the Object
appIdentifierstring · uuidRequired
Identifier der App
422
Resource was not valid to process
*/*
post/cmn/apps/{appIdentifier}/settings
POST /cmn/apps/{appIdentifier}/settings HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 468
{
"version": "text",
"info": {},
"id": "text",
"appIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
}
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"appIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
}
}Path parameters
appIdentifierstring · uuidRequired
Responses
200
successful operation
*/*
contextstringOptional
message context
messageValuestringOptional
message
404
Resource was not found
*/*
409
unable to delete Resource, due to constraints, existing references or internal state
*/*
delete/cmn/apps/{appIdentifier}/settings
DELETE /cmn/apps/{appIdentifier}/settings HTTP/1.1
Host: api.example.com
Accept: */*
{
"context": "text",
"messageValue": "text"
}Last updated
Was this helpful?